OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKSTEPBase
StepShape

# StepShape_DimensionalLocation Class Reference

Representation of STEP entity DimensionalLocation
.

`#include <StepShape_DimensionalLocation.hxx>`

Inheritance diagram for StepShape_DimensionalLocation:

[legend]

## Public Member Functions
Standard_EXPORT | StepShape_DimensionalLocation ()
| Empty constructor .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Constructor & Destructor Documentation

Standard_EXPORT StepShape_DimensionalLocation::StepShape_DimensionalLocation | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const StepShape_DimensionalLocation::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from StepRepr_ShapeAspectRelationship. Reimplemented in StepShape_AngularLocation, StepShape_DimensionalLocationWithPath, and StepShape_DirectedDimensionalLocation.

The documentation for this class was generated from the following file:

- StepShape_DimensionalLocation.hxx